Web lists-archives.com

Re: backports on kernel 4.15 and nvidia-driver 390 crashes x





--
Boyan Penkov
www.boyanpenkov.com

On May 4, 2018, at 17:19, Francisco M Neto <fmneto@xxxxxxxxx> wrote:

Hello,

I had a similar problem when I upgraded from Stretch (4.9) to
Buster (4.15). The nvidia driver stopped working but after reinstalling
it started to work again, supposedly because it needed to rebuild the
kernel module with headers from the new kernel. Maybe you're having a
similar issue?

I don’t think so, as the experiment matrix I tried above involved rebuilding the module using the correct headers every time.

Updating sources to buster and pulling in kernel-image, kernel-headers, then restarting to 4.16 to recovery mode, uninstalling nvidia-driver and then reinstalling the nvidia-driver package seems to have worked…. However, this cannot be the orthodox approach to solve this…..


Which nvidia card are you using?

GTX 560 Ti, which is Fermi, which is indeed old — wikipedia says it’s going to legacy after 390 — is that where I may be getting in trouble?  Should I try nvidia-legacy in debian?


--
Francisco

On Thu, 2018-05-03 at 20:24 -0400, Boyan Penkov wrote:
Hello,

I have upgraded to the current stretch backports nvidia-driver, and
this crashes on the current stretch backports kernel.  Have folks seen
this combination work?

I see the following:

kernel — nvidia — status
4.15 — 390 — fail
4.15 — 370 — untested
4.9 — 390 — fail
4.9 — 375 — success

Anything I can do to help debug? What’s annoying is that the fails on
390 print a blank screen with no X cursor and a prompt to log out, so
I don’t know where to look for logs or traces….

Cheers!
--
Boyan Penkov
www.boyanpenkov.com

--
--
[]'s,

Francisco M Neto
Institut für Anorganische Chemie
Universität Duisburg-Essen